/******************************************************************************
*	File		-	world_tree.h
*	Author		-	Joey Pollack
*	Date		-	2021/11/04 (y/m/d)
*	Mod Date	-	2021/11/04 (y/m/d)
*	Description	-	The tree view listing all objects in the world
******************************************************************************/

#ifndef WORLD_TREE_H_
#define WORLD_TREE_H_

#include <gui/panel.h>

namespace lunarium
{
    class World; 

namespace editor
{
    class WorldTree : public gui::Panel
    {
    public:
        WorldTree();

        void SetWorld(lunarium::World* pWorld);
        lunarium::World* GetWorld();

        bool DoFrame();

    private:
        lunarium::World* mpWorld;
    };
}
}
#endif  // WORLD_TREE_H_